Address transaction history with details
curl --request GET \
--url https://nexus-dev.gerowallet.io/api/addresses/{address}/transactions/history \
--header 'Authorization: Bearer <token>'{
"transactions": [
{
"fee": "<string>",
"deposit": "<string>",
"inputs": [
{
"collateral": true,
"reference": true,
"tx_hash": "<string>",
"output_index": 123,
"owner_addr": "<string>",
"owner_stake_addr": "<string>",
"owner_payment_credential": "<string>",
"owner_stake_credential": "<string>",
"amounts": [
{
"unit": "<string>",
"quantity": "<string>",
"policy_id": "<string>",
"asset_name": "<string>"
}
],
"lovelace_amount": 123,
"data_hash": "<string>",
"inline_datum": "<string>",
"inline_datum_json": {},
"reference_script_hash": "<string>",
"script_ref": "<string>",
"block_number": 123,
"block_time": 123,
"slot": 123,
"block_hash": "<string>",
"epoch": 123,
"consumed_by_tx": "<string>",
"is_collateral_return": true
}
],
"outputs": [
{
"collateral": true,
"reference": true,
"tx_hash": "<string>",
"output_index": 123,
"owner_addr": "<string>",
"owner_stake_addr": "<string>",
"owner_payment_credential": "<string>",
"owner_stake_credential": "<string>",
"amounts": [
{
"unit": "<string>",
"quantity": "<string>",
"policy_id": "<string>",
"asset_name": "<string>"
}
],
"lovelace_amount": 123,
"data_hash": "<string>",
"inline_datum": "<string>",
"inline_datum_json": {},
"reference_script_hash": "<string>",
"script_ref": "<string>",
"block_number": 123,
"block_time": 123,
"slot": 123,
"block_hash": "<string>",
"epoch": 123,
"consumed_by_tx": "<string>",
"is_collateral_return": true
}
],
"metadata": "<unknown>",
"txHash": "<string>",
"txTimestamp": 123,
"block_epoch": 123,
"txSize": 123,
"block_hash": "<string>",
"block_height": 123,
"total_output": "<string>",
"sent_amount": "<string>",
"received_amount": "<string>",
"sent_assets": [
{
"fingerprint": "<string>",
"quantity": "<string>",
"policy_id": "<string>",
"asset_name": "<string>"
}
],
"received_assets": [
{
"fingerprint": "<string>",
"quantity": "<string>",
"policy_id": "<string>",
"asset_name": "<string>"
}
]
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalItems": 123,
"totalPages": 123,
"hasNext": true,
"hasPrevious": true
}
}Addresses
Get address transaction history
Get paginated transaction history for a Cardano address with full transaction details, UTxOs, sent/received amounts, and native asset transfers.
GET
/
api
/
addresses
/
{address}
/
transactions
/
history
Address transaction history with details
curl --request GET \
--url https://nexus-dev.gerowallet.io/api/addresses/{address}/transactions/history \
--header 'Authorization: Bearer <token>'{
"transactions": [
{
"fee": "<string>",
"deposit": "<string>",
"inputs": [
{
"collateral": true,
"reference": true,
"tx_hash": "<string>",
"output_index": 123,
"owner_addr": "<string>",
"owner_stake_addr": "<string>",
"owner_payment_credential": "<string>",
"owner_stake_credential": "<string>",
"amounts": [
{
"unit": "<string>",
"quantity": "<string>",
"policy_id": "<string>",
"asset_name": "<string>"
}
],
"lovelace_amount": 123,
"data_hash": "<string>",
"inline_datum": "<string>",
"inline_datum_json": {},
"reference_script_hash": "<string>",
"script_ref": "<string>",
"block_number": 123,
"block_time": 123,
"slot": 123,
"block_hash": "<string>",
"epoch": 123,
"consumed_by_tx": "<string>",
"is_collateral_return": true
}
],
"outputs": [
{
"collateral": true,
"reference": true,
"tx_hash": "<string>",
"output_index": 123,
"owner_addr": "<string>",
"owner_stake_addr": "<string>",
"owner_payment_credential": "<string>",
"owner_stake_credential": "<string>",
"amounts": [
{
"unit": "<string>",
"quantity": "<string>",
"policy_id": "<string>",
"asset_name": "<string>"
}
],
"lovelace_amount": 123,
"data_hash": "<string>",
"inline_datum": "<string>",
"inline_datum_json": {},
"reference_script_hash": "<string>",
"script_ref": "<string>",
"block_number": 123,
"block_time": 123,
"slot": 123,
"block_hash": "<string>",
"epoch": 123,
"consumed_by_tx": "<string>",
"is_collateral_return": true
}
],
"metadata": "<unknown>",
"txHash": "<string>",
"txTimestamp": 123,
"block_epoch": 123,
"txSize": 123,
"block_hash": "<string>",
"block_height": 123,
"total_output": "<string>",
"sent_amount": "<string>",
"received_amount": "<string>",
"sent_assets": [
{
"fingerprint": "<string>",
"quantity": "<string>",
"policy_id": "<string>",
"asset_name": "<string>"
}
],
"received_assets": [
{
"fingerprint": "<string>",
"quantity": "<string>",
"policy_id": "<string>",
"asset_name": "<string>"
}
]
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalItems": 123,
"totalPages": 123,
"hasNext": true,
"hasPrevious": true
}
}Documentation Index
Fetch the complete documentation index at: https://nexus.gerowallet.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
bearerAuthapiKeyAuth
JWT Token Authentication
Path Parameters
Required string length:
1 - 200Pattern:
^[a-zA-Z0-9_]+$Query Parameters
Available options:
MAINNET, PREPROD Page number (1-based)
Required range:
1 <= x <= 1000Number of items per page
Required range:
1 <= x <= 100⌘I